/*
 * @Author: your name
 * @Date: 2021-04-28 17:06:16
 * @LastEditTime: 2021-04-28 17:13:52
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: /react-antd-admin-template/src/api/provisionsManage.js
 */
import request from '@/utils/request'

//条文条款列表
export function getProvisionsList(data) {
  return request({
    url: '/article/list',
    method: 'get',
    params:{...data}
  })
}

//新增条文条款列表
export function addProvisions(data) {
    return request({
      url: '/article/addArticle',
      method: 'post',
      data
    })
}

//删除条文条款列表
export function delProvisions(data) {
    return request({
      url: '/article/delArticle',
      method: 'post',
      data
    })
}

//编辑条文条款列表
export function editProvisions(data) {
    return request({
      url: '/article/editArticle',
      method: 'post',
      data
    })
}

//编辑条文条款列表
export function provisionsBindCheckPoint(data) {
    return request({
      url: '/article/bindArticleAndCheckPoint',
      method: 'post',
      data
    })
}